SDL Library Documentation
Prev |  | Next

# SDL_GetAppState

## Name

`SDL_GetAppState` -- Get the state of the application

## Synopsis

    #include "SDL.h"

``Uint8 SDL_GetAppState`(void);`

## Description

This function returns the current state of the application. The value returned is a bitwise combination of:

`SDL_APPMOUSEFOCUS` | The application has mouse focus.
`SDL_APPINPUTFOCUS` | The application has keyboard focus
`SDL_APPACTIVE` | The application is visible

## See Also

SDL_ActiveEvent

Prev | Home | Next
SDL_GetRelativeMouseState | Up | SDL_JoystickEventState